.******************************************************************************
.*  Maul Publisher Colour separation Handler Help File
.*   Peter Koller 1998, All Rights Reserved
.******************************************************************************
:userdoc.
:title. Maul-Hilfe zum Farbseparations-Handler
:docprof toc=1234.
:h1 res=1 id=intro.Maul-Farbseparations-Handler
:i1 id=all.ber den Maul-Farbseparations-Handler
:font facename='Tms Rmn' size=24x24.
:hp2.Maul-Farbseparations-Handler:ehp2.
:font facename=default.
:p.
.br
.br
:p.:hp2.bersicht zum Maul-Farbseparations-Handler:ehp2.
:p.Verwenden Sie diesen Handler, um beim Drucken eine Farbseparation nach CMYK durchzufhren.
:p.Zudem bietet der Handler Mglichkeiten zur Feineinstellung der Farbdichten im CMY-Farbraum. Die Begrenzung
der Farbskala gehrt nicht zum Umfang des Handlers, da diese gewhnlich tinten- und druckerspezifisch ist.
:p.Weitere Hilfe erhalten Sie durch Auswahl von 'Optionen' und anschlieend 'Inhalt' aus dem Men dieses Hilfefensters.
Es wird dann eine weiterfhrende Auswahl von Hilfeinhalten angezeigt. Alternativ knnen Sie die untere Schaltflche
'Index' bettigen, um ein Register anzuzeigen.
:p.:hp2.ICM verwenden:ehp2.
:p.Dieser Handler bietet auerdem :link reftype=hd res=40.ICC/ICM-Farbverwaltung:elink.. Die Farbverwaltung
wird beim Drucken und Scannen eingesetzt, um die korrekte Wiedergabe der Farben zu verbessern. Sie wird beim Druck
von Farbseparationen mit Schmuckfarben ignoriert, da diese als eine Standardfarbe ausgegeben werden. Die vier normalen
Separationen, CMYK, unterliegen ebenfalls der Farbverwaltung und sollten daher die gleichen Vorteile wie der Druck mit
Volltonfarben bieten.
:p.:hp2.CMYK verstehen:ehp2.
:p.CMYK steht fr Cyan (zyan), Magenta, Yellow (gelb) und blacK (schwarz). Dabei handelt es sich um die vier Farben, die
beim traditionellen Farbdruck verwendet werden. Die meisten der heutigen Tintenstrahldrucker benutzen diese vier
grundliegenden Tinten, obwohl mitunter ein zweiter Satz hellerer Tinten zur Erzeugung hellerer Farbtne verwendet wird.
:p.Im Gegensatz zu den Bildschirmfarben, bei denen der Hintergrund schwarz ist, ist der einheitliche Hintergrund einer Seite
wei. Alle Druckerfarben sind Negative der Bildschirmfarben. Die bersetzung zwischen ihnen ist einfach. Unter der
Voraussetzung, da jede Farbe einen Bereich von 0 bis 255 besitzt&colon.
:ul.
:li.zyan = 255 - rot
:li.magenta =  255 - grn
:li.gelb = 255 - blau
:lp....oder andersherum gesehen
:li.rot = 255 - zyan
:li.grn = 255 - magenta
:li.blau = 255 - gelb
:eul.
:p.Beachten Sie auch, da die Seite :hp1.wei:ehp1. bleibt, wenn zyan, magenta und gelb auf Null gesetzt werden.
:p.Beim Mischen der Tinte auf den Seiten gilt blau = -gelb, also kann blau aus zyan + magenta hergestellt werden. Der
Mischeffekt funktioniert perfekt&colon.
:ul.
:li.rot (-zyan) = gelb + magenta
:li.grn (-magenta) = zyan + gelb
:li.blau (-gelb) = zyan + magenta
:eul.
:p.Die Farbe black (schwarz) wird verwendet, um die drei Farben zyan + magenta + gelb wann immer mglich zu ersetzen.
Der Vorgang ist im Prinzip wieder recht einfach. Schwarz mu dem Minimum der drei anderen Farben entsprechen.
Sobald man die Menge schwarz kennt, wird sie von den anderen Farben abgezogen, um zu verhindern, da sich die
Seiten in eine tropfende Masse verwandeln.
:fig.
zyan = 30, magenta = 50, gelb = 20
daher schwarz = 20
 ...und nach Abzug...
zyan = 10, magenta = 30, gelb = 0, schwarz = 20
:efig.
:p.Beachten Sie, da bei diesem Vorgehen immer mindestens eine der Farben auf Null gesetzt wird.
:p.:hp2.Schmuckfarben:ehp2.
:p.Gelegentlich erfordern professionelle Druckauftrge die Verwendung von Schmuckfarben. Bei einer Schmuckfarbe handelt
es sich um eine besondere, oft allein verwendete Tinte zur Erzielung besonderer Effekte. Eine der ltesten
Verwendungsmglichkeiten einer Schmuckfarbe ist das Hinzufgen von goldenen Blttern oder goldener Tinte zu einem
normalen Bild.
:p.Dieser Handler bietet einen gewissen Umfang an Untersttzung fr die Benutzung von Schmuckfarben. Sie werden nur
whrend der Trennung verwendet und immer als eine der CMYK-Farben in einer eigenen Ebene ausgegeben. Derzeit untersttzt
Maul noch keine Farbverlufe mit Schmuckfarben. Wenn die Farbtrennung deaktiviert ist, wird die Schmuckfarbe als normale
Prozefarbe ausgegeben.
.br
.br
:p.Erstellt von Peter Koller, Maison Anglais.
:p.:hp4.http&colon.//www.manglais.com:ehp4.
.br
.br
:p. 2000, 2001 Peter Koller, Maison Anglais. Alle Rechte vorbehalten.
:p.Details der Lizenzbestimmungen entnehmen Sie bitte dem Urheberrechtshinweis im Haupthandbuch
des Maul Publishers.
.br
.******************************************************************************
.*  Options dialog
.******************************************************************************
:h1 res=10 id=10 global.Dialog Farbdruckoptionen
:i1 id=options.Dialog Farbdruckoptionen
:p.Ist dieser Handler installiert, gibt es im Hauptmen 'Optionen' einen neuen Eintrag namens 'Farbdruckoptionen...'.
:p.:hp2.Farbkanalpegel:ehp2.
:p.Verwenden Sie die Einstellungen zur Reduzierung der Intensitt der grundliegenden Druckerfarben. Diese Einstellungen
werden vor der Berechnung der Farbe schwarz (K) wirksam. Diese Einstellungen wirken sich nur auf den Druck aus und
funktionieren sogar, wenn die Farbtrennung deaktiviert ist.
:p.Indem man den Pegel jedes Farbkanals absenkt, wird die Seite heller und heller. Dies liegt daran, da die Regler
Druckertintenpegel reprsentieren und keine Lichtstrken auf dem Bildschirm. Das Absenken der Farbpegel fhrt zudem
zu einer Reduzierung der Anzahl zur Verfgung stehender Farben. Wenn mglich, sollten stattdessen die
Druckereinstellungen gendert werden.
:p.Der Farbkanalpegel kann nicht ber 100% hinaus erhht werden, und er kann auch nicht unter 50% abgesenkt werden.
Bei angeschalteter Farbtrennung wird nach Berechnung aller Pegel die Ausgabe von schwarz (k) wieder auf 100% normalisiert,
damit sichergestellt ist, da der schlieliche Ausdruck nicht 'ausgewaschen' erscheint.
:p.:hp2.K-Grenzwerte:ehp2.
:p.Wenn Sie sich entscheiden, eine Mischung aus zyan, magenta und gelb zur Erzeugung von Graufarbtnen einzusetzen,
knnen Sie den Grenzwert anpassen, ab dem schwarze Tinte verwendet wird. Die Verwendung dreier Farben zur Erzeugung
hellerer Graufarbtnen fhrt mglicherweise zu ansprechenderen Ergebnissen.
:p.Der primre Kontrollfaktor ist 'min k'. Jeder Graufarbton, der heller als 'min k' ist, wird aus einer
CMY-Mischung erzeugt.
:p.Ist der Graufarbton dunkler als 'reines k', wird zur Erzeugung dieses Tons keine weitere CMY-Mischung verwendet.
:p.Graufarbtne zwischen 'min k' und 'reines k' entstehen aus einer Mischung aller vier Farben. Auf diese Weise kann
scharze Tinte mit anderen Tinten vermischt werden, um eine ausgeglichenere Tonpalette zu erzielen.
:p.:hp2.Mathematisch:ehp2. sieht die Farbbearbeitung so aus&colon.
:sl.
:li.Wende die Werte der Farbkanalpegel auf die drei Farben c, m und y an. Liegt einer der Pegelwerte unterhalb von 100%, kann
keine 100%-ige Farbsttigung mehr erreicht werden.
:li.Stelle k (schwarze Tinte) auf den kleinsten Wert der anderen drei Farben ein.
:li.Wenn k kleiner als 'min k' ist, dann setze k auf Null.
:li.Wenn k grer als oder gleich 'min k' und kleiner als 'reines k' ist, ziehe 'min k' von k ab.
:li.Wenn k grer als oder gleich 'reines k' ist, wird k nicht verndert.
:li.Nachdem der k-Wert bestimmt ist, ziehe k von allen anderen Farben ab.
:li.Kompensiere k fr nderungen im Farbkanal, um den Pegel zurck auf 100% zu bringen. Beachten Sie, da durch den Proze
dennoch ein paar Graufarbtne verloren gehen.
:esl.
:lm margin=1.
:p.Wenn die Werte fr sowohl 'reines k' als auch 'min k' auf 255 gesetzt sind, findet keine Trennung fr schwarz statt, d.h.
man erhlt nur eine Dreifarbtrennung. Beachten Sie, da 'reines k' immer grer als oder gleich 'min k' sein mu.
:p.:hp2.Weitere Optionen:ehp2.
:p.Whlen Sie 'Als Standardeinstellung sichern', um die derzeitigen Einstellungen fr Pegel und k-Grenzwerte zu sichern.
:p.Whlen Sie 'CMYK-Trennung aktivieren' um auf Dateibasis festzulegen, ob Dokumente in ihre Farbkomponenten
getrennt werden sollten. Diese Einstellung kann nicht als Standard festgelegt werden.
.br
.br
.br
.******************************************************************************
.*  Select dialog
.******************************************************************************
:h1 res=20 id=20 global.Dialog Farbseparation
:i1 id=select.Dialog Farbseparation
:p.Wenn die Farbseparation im :link reftype=hd res=10.Dialog Farbdruckoptionen:elink. aktiviert wurde,
wird dieser Dialog jedesmal angezeigt, wenn Sie das Dokument ausdrucken.
:p.Benutzen Sie die Liste, um den erforderlichen Farbauszug auszuwhlen. Mit jedem Druck eines Farbauszugs
wird als Standardoption der nchste Farbauszug ausgewhlt. Der Vorgang hlt bei jedem Farbauszug an und gibt Ihnen
die Gelegenheit festzulegen, welcher Farbauszug ausgedruckt werden soll.
:p.Wenn Sie zu einem beliebigen Zeitpunkt der Farbseparation 'Abbruch' drcken, wird der Druckvorgang beendet.
Es werden jedoch keine zuvor erstellten Farbauszge gelscht.
:p.Nach dem ersten Drucklauf wird der Dialog aktualisiert und zeigt alle Schmuckfarben an, die whrend der ersten
Farbseparation gefunden wurden. Bevor ein Schmuckfarbenauszug ausgedruckt werden kann, mu mindestens ein
normaler Farbauszug ausgedruckt worden sein.
:p.Der Dialog bietet eine weitere Gelegenheit, die Farbdruckoptionen festzulegen. Beachten Sie, da bei Abschalten
der Farbseparation im Dialog und anschlieender Auswahl von 'OK' sofort ein normaler Druckvorgang begonnen wird.
.br
.br
.******************************************************************************
.*  System colour dialog
.******************************************************************************
:h1 res=11 id=11 global.Dialog Systembildschirmfarben
:i1 id=sysclr.Dialog Systembildschirmfarben
:p.Benutzen Sie den Dialog Systembildschirmfarben, um die Farbe der Seite an die Farbe des Papiers,
auf dem Sie drucken, anzupassen. Natrlich kann es dadurch schwierig werden zu sehen, wo
Rastermarkierungen usw. plaziert sind, weshalb diese ebenfalls angepat werden knnen.
:p.Hier vorgenommene nderungen werden in der Datei gespeichert, und im folgenden wird dieses Dokument
stets mit diesen Farben geffnet.
:p.Wenn Sie das Markierungsfeld 'Als Standard sichern' angewhlt haben, werden
die Farben auch im Systemprofil gespeichert und alle weiteren
Dokumente werden mit diesen Farben geffnet.
:p.Da man schnell genug von seltsamen Farbschemata bekommen kann, gibt es das Markierungsfeld Standardfarben,
um ein wenig Vernunft wiederherzustellen.
:p.Klicken Sie 'OK', um Anpassungen anzuwenden und den Dialog zu beenden, und 'Abbruch', um den Dialog zu verlassen.
.br
.br
.******************************************************************************
.*  International Color Consortium (ICC/ICM) Profiles
.******************************************************************************
:h1 res=40 id=40 global.International Color Consortium (ICC/ICM) Farbprofile
:i1 id=icmclr.International Color Consortium (ICC/ICM) Farbprofile
:p.Maul Publisher ist dank einer sehr ausgefeilten Software namens "icclib" von Graeme W. Gill in der Lage,
ICC- und ICM-Profile zu verwenden.
:p.Das Archiv der ICC profile I/O library befindet sich bei: <http&colon.//www.argyllcms.com/>
:xmp.
Copyright (c) 1997-2002 Graeme W. Gill

Permission is hereby granted, to use, copy, modify, distribute,
and sell this software and its associated documentation files
(the "Software") for any purpose without fee, provided
that:

    1) The above copyright notices and this permission notice
       accompany all source code copies of the Software and
       related documentation.
and

    2) If executable code based on the Software only is distributed,
       then the accompanying documentation must acknowledge that
       "this software is based in part on the work of Graeme W. Gill".
and

    3) It is accepted that Graeme W. Gill (the "Author") accepts
       NO LIABILITY for damages of any kind.  The Software is
       provided without fee by the Author "AS-IS" and without
       warranty of any kind, express, implied or otherwise,
       including without limitation, any warranty of merchantability
       or fitness for a particular purpose.
and

    4) These conditions apply to any software derived from or based
       on the Software, not just to the unmodified library.
:exmp.
:p.:hp2.Wie ICC/ICM hier implementiert wurde:ehp2.
:p.In einer perfekten Welt sollte die Farbverwaltungan etwas so aussehen...
:p.:artwork name='IdealICM.bmp' align=left.
:p.Damit es wirklich korrekt funktioniert, mu die Farbverwaltung in die APIs des Betriebssystems
integriert sein. Mit Hilfe der unten gezeigten Methode erhlt man ordnungsgeme Farbverwaltung fr
alles auerdem dem Farbmonitor. Glcklicherweise sind heutige Monitore sehr gut und oft mit den
Werkzeugen ausgestattet, die zur Erzielung einer recht genauen Farbbereinstimmung erforderlich sind.
:p.Unter OS/2 und eCS sieht die Farbverwaltung fr Maul Publisher so aus...
:p.:artwork name='Maulos2ICM.bmp' align=left.
:p.Die Farben werden konvertiert und als sRGB gespeichert, also als 24-Bit-Farben. Diese 24-Bit-Farben
werden nicht fr die Anzeige auf dem Monitor konvertiert. Beim Scannen und Drucken werden die Farben
von sRGB in das gerade ausgewhlte Profil umgewandelt. Das Farbprofil fr die Datei kann beliebig gendert
werden, jedoch sind schlechte Ergebnisse zu erwarten, falls es sich nicht um sRGB handelt. Es stehen
mehrere sRGB-Profile fr verschiedene Wiedergabeziele zur Verfgung, daher gibt es die Mglichkeit,
fr die Daten in der Datei ein anderes Profil auszuwhlen.
:p.Bei der Konvertierung von sRGB nach sRGB hngt der Umwandlungseffekt von den ausgewhlten Wiedergabezielen
ab. Sind diese gleich, wird die Umwandlung zwar durchgefhrt, bewirkt aber keine nderung.
:p.Maul whlt ber die in der Initialisierungsdatei gespeicherten Informationen das korrekte Profil
aus. Die verwendeten Profile knnen mit Hilfe des
:link reftype=hd res=41.Dialgos Farbprofilauswahl:elink. bearbeitet werden.
.br
.br
:h2 res=41 id=41 global.(ICC/ICM) Farbprofildialog
:i2 refid=icmclr.(ICC/ICM) Farbprofildialog
:p.Verwenden Sie diesen Dialog zur Auswahl der Farbprofile fr die von Maul Publisher erkannten Gerte.
Auerdem dem Profil fr die Daten in der Datei knnen alle Farbprofile gendert werden. Dieses sollte
auf sRGB gesetzt werden, was mit dem OS2RGB-Format bereinstimmt, welches im OS/2-Grafik-API verwendet wird.
:p.:hp2.Whlen Sie zuerst das Gert aus:ehp2.
:p.Bei Auswahl eines Gertes aus der Fensterliste werden das fr dieses Gert aktuelle Farbprofil und das
Wiedergabeziel angezeigt.
:p.:hp2.Whlen Sie als nchstes das Farbprofil aus:ehp2.
:p.Die Farbprofile werden als Dateien mit den Endungen *.icm oder *.icc im Verzeichnis .\etc\icm des Maul
Publisher oder im Verzeichnis, auf das die Anweisung SET ICC_PROFILES in CONFIG.SYS verweist (z.B. SET
ICC_PROFILES=C&colon.\ICC),
gespeichert. Diese Farbprofile finden Sie auf der Installations-CD fr das Gert oder der Support-Web-Site
des Herstellers. Wenn Sie das Gert auch auf einem Windows-Rechner installiert haben, knnen Sie das Profil
auch dort suchen.
:p.:hp2.Whlen Sie als letztes das Wiedergabeziel aus:ehp2.
:p.Nicht alle Profile umfassen alle Wiedergabeziele. Sie knnen zwar alle Ziele auswhlen, aber es kann vorkommen,
da nur ein Standard verwendet wird.
:p.:hp2.Siehe auch:ehp2.
:link reftype=hd res=40.International Color Consortium (ICC/ICM) Profile:elink.
.br
.br
.******************************************************************************
.*  Keys help
.******************************************************************************
:h1 res=30 id=30 global.Hilfe zu Tasten
:i1 id=keys.Hilfe zu Tasten
:p.Fr diesen Handler stehen die folgenden Tastenkrzel zur Verfgung. Es werden die gebruchlichsten Tastenkrzel aufgefhrt, jedoch
keine Tastenkrzel, die fr andere Handler spezifisch sind. Whlen Sie einen Rahmen und Handler aus, fr die Sie Informationen
bentigen und rufen Sie die Hilfe nochmals auf.
:p.Ist kein Rahmen ausgewhlt, so wird die Tastenhilfe fr das Hauptprogramm des Maul Publisher angezeigt.
:p.:hp2.Allgemeine Tastenbelegung:ehp2.
:ol.
:li.:hp2.Menauswahl:ehp2.
:dl compact tsize=16.
:dt.Alt+B:dd.Men Bearbeiten
:dt.Alt+D:dd.Men Datei
:dt.Alt+H:dd.Men Hilfe
:dt.Alt+O:dd.Men Optionen
:dt.Alt+S:dd.Men Seite
:dt.Alt+W:dd.Men Widerrufen
:dt.Alt+A:dd.Men Anzeige
:dt.Alt+U:dd.Umschalten zu (Umschaltliste)
:edl.
:li.:hp2.Men Datei:ehp2.
:dl compact tsize=16.
:dt.Strg+N:dd.Neue Datei
:dt.Strg+:dd.Datei ffnen...
:dt.Strg+I:dd.Importieren...
:dt.Strg+X:dd.Exportieren...
:dt.Strg+S:dd.Datei sichern
:dt.Strg+A:dd.Datei sichern unter...
:dt.Strg+R:dd.Datei drucken...
:edl.
:li.:hp2.Men Seite:ehp2.
:dl compact tsize=16.
:dt.Strg+P:dd.Seitendruckeinstellungen...
:dt.Strg+M:dd.Rnder und Raster...
:dt.Strg+Umschalt+M:dd.Seitenvorlage verwenden...
:dt.Strg+T:dd.Seitenvorlage sichern/lschen
:dt.Alt+Umschalt+Entf:dd.Eine Seite kopieren
:dt.Alt+Umschalt+Einfg:dd.Eine Seite einfgen
:dt.Strg+Umschalt+I:dd.Eine neue Seite einfgen
:dt.Strg+Umschalt+J:dd.Eine neue erste Seite einfgen
:dt.Strg+Umschalt+D:dd.Eine Seite lschen
:dt.Alt+G:dd.Gehe zu Seite
:dt.Strg+Umschalt+N:dd.Nchste Seite
:dt.Strg+Umschalt+P:dd.Vorige Seite
:edl.
:li.:hp2.Men Anzeige:ehp2.
:dl compact tsize=16.
:dt.Strg+1:dd.Seitenanzeige Drucker
:dt.Strg+2:dd.Seitenanzeige
:dt.Strg+3:dd.Auf Breite anpassen
:dt.Strg+4:dd.Wirkliche Gre
:dt.Strg+Plus:dd.Vergrern
:dt.Strg+Minus:dd.Verkleinern
:dt.Strg+F:dd.Rahmenansicht
:dt.Strg+C:dd.Inhaltsansicht
:dt.Strg+G:dd.Hintergrundansicht
:dt.Strg+B:dd.Umrandungsansicht
:edl.
:li.:hp2.Men Widerrufen:ehp2.
:dl compact tsize=16.
:dt.Alt+Backspace:dd.Letzte nderung widerrufen
:dt.Strg+Backspace:dd.Letzte nderung wiederholen
:dt.Strg+U:dd.Widerrufsliste...
:edl.
:li.:hp2.Men Optionen:ehp2.
:dl compact tsize=16.
:dt.Strg+Umschalt+R:dd.Druckereinstellungen...
:dt.Strg+E:dd.Raster aktivieren
:dt.Strg+Umschalt+S:dd.Rastereinstellungen...
:edl.
:li.:hp2.Men Hilfe:ehp2.
:dl compact tsize=16.
:dt.Strg+H:dd.Inhaltsverzeichnis
:dt.Strg+Umschalt+H:dd.Hilfeindex
:dt.Strg+K:dd.Hilfe fr Tasten
:dt.Strg+L:dd.Alle Handler anzeigen
:dt.Strg+Z:dd.Produktinformation...
:edl.
:eol.
:p.:hp2.Tastenbelegung Farbtrennungs-Handler:ehp2.
:p.Fr diesen Handler stehen keine Tastenkrzel zur Verfgung.
.br
.br
:euserdoc.


