/*******************************************************************************
    metafile handler resources
     Peter Koller 1998, All Rights Reserved
*******************************************************************************/
#ifndef METAHAND_RESOURCES
#define METAHAND_RESOURCES

/*******************************************************************************
    pointers
*******************************************************************************/
#define     PROF_STYLESHEET     ",ssh"
#define     PROF_LOADIMG        ",loadstyle"
#define     DEF_STYLESHEET      "*"
#define     EXT_STYLESHEET		".ssh"

/*******************************************************************************
    RCDATA descriptions
*******************************************************************************/
#define IDACC_DEFLTKEYS         40

/*******************************************************************************
    bitmaps
*******************************************************************************/
#define IDBMP_HANDLER       1000
#define IDBMP_COLOFILL      1001
#define IDBMP_ORIENTATION   1002

/*******************************************************************************
    add on menu...
*******************************************************************************/

/*******************************************************************************
    edit menu
*******************************************************************************/
#define HAND_REMOVE         (FIRST_MENU_ID + 1)
#define HAND_CUT            (FIRST_MENU_ID + 2)
#define HAND_COPY           (FIRST_MENU_ID + 3)
#define HAND_PASTE          (FIRST_MENU_ID + 4)
#define HAND_LOAD           (FIRST_MENU_ID + 5)
#define HAND_CLEAR          (FIRST_MENU_ID + 6)
#define HAND_PAGESCALE      (FIRST_MENU_ID + 7)

#define SCND_MENU_ID        (FIRST_MENU_ID + 10)
#define HAND_SZLOCK          (SCND_MENU_ID + 1)
#define HAND_ASPECTLOCK      (SCND_MENU_ID + 2)
#define HAND_POSLOCK         (SCND_MENU_ID + 3)
#define HAND_SCALE           (SCND_MENU_ID + 4)
#define HAND_ROTATE          (SCND_MENU_ID + 5)
#define HAND_FRAMECROP       (SCND_MENU_ID + 6)

#define HAND_FRAMESTYLESAVE	(SCND_MENU_ID + 9)
#define HAND_FRAMESTYLESEL  (SCND_MENU_ID + 10)	/* must be last */

/*******************************************************************************
    button bar
*******************************************************************************/
#define     IDB_ORIENTATE     FIRST_BBAR_ID

/*******************************************************************************
    status bar
*******************************************************************************/
#define     IDS_HANDIDENT   FIRST_STAT_ID

/*******************************************************************************
    help table
*******************************************************************************/
/*******************************************************************************
    string defs
*******************************************************************************/
#define IDS_HELPWINTITLE        16  //"Maul default handler Help"
#define IDS_HELPLIBRARY         17  //"default.hlp"

/****  Undo  ****/
#define UNDO_INIT_ID            18  //"add metafile handler"
#define UNDO_CLEAR_ID           19  //"remove metafile handler"
#define IDS_METACUT             20  //"cut metafile"
#define IDS_METACOPY            21  //"copy metafile"
#define IDS_METAPASTE           22  //"paste metafile"
#define IDS_METACLEAR           23  //"clear metafile"
#define IDS_METAIMPORT          24  //"import metafile"
#define IDS_LOCKSIZE            25  //"change metafile resize lock"
#define IDS_LOCKASPECT          26  //"change metafile aspect lock"
#define IDS_CHANGEROTN          27  //"change metafile rotation"
#define IDS_CHANGESCALE         28  //"change metafile scale"
#define IDS_POSLOCK             29  //"change metafile position lock"
#define IDS_CLIPBD_ERR          30  //"Error - failed to save clipboard data"
#define IDS_CLIPBD_HANDLE       31  //"Error - failed to save metafile handle"
/****  Import  ****/
#define IDS_FILE_EXISTS         32  //"Warning - File Exists, save anyway ?"
#define IDS_HANDMENU            33  //"~Metafile"

#define IDS_IMPORTMETATITLE		34  //"Import Metafile image"
#define IDS_IMPORTBUTTON		35  //"~Import"
#define IDS_EXPORTMETATITLE		36  //"Export Metafile image"
#define IDS_EXPORTBUTTON		37  //"~Export"
#define IDS_SETSTYLE			38  //"set metafile style"
#define IDS_STYLE_DELETE		39  //"Delete this style sheet"
#define IDS_STYLE_EXISTS		40  //"Style sheet exists, overwrite"
#define IDS_PAGESCALE           41  //"change scale to metafile page"
#define IDS_NOSTYLESHEET		42  //"No stylesheet is selected"
#define UNDO_TUNEIMG			43	//"change metafile colours"

#define IDFH_EDITTASK           50  //"Select metafile editing tasks"
#define IDFH_METAPARMS          51  //"Select metafile parameters"
#define IDFH_HANDIDENT          52  //"Metafile handler is active"
#define IDFH_ORIENT             53  //"Rotate metafile"

#define IDS_METAERROR           54  //"Gpi Error while painting metafile"
#define IDS_VIEWPORTERROR       55  //"Error - Cannot use metafiles containing viewport transforms"
#define IDS_HANDLERTYPE     	56  //"Metafiles"
#define IDS_HANDLERNAME     	57  //"Metafile handler"
#define IDS_IMPORTNTYPE     	58  //"Metafile (*.met)"
#define IDS_IMPORTNNAME     	59  //"Import/export metafile"
#define IDS_IMPORTWINNAME     	60  //"Import Windows metafile"
#define IDS_IMPORTWINTYPE     	61  //"Windows metafile (*.wmf;*.emf)"

/*******************************************************************************
    Dialogs
*******************************************************************************/
/*******************************************************************************
    Dialogs
*******************************************************************************/
#define IDD_HELPBUTTON          100
#define IDD_SAVEBUTTON          101

#define IDD_ROTATEDLG           110
#define IDD_ROTATEACTUAL        111
#define IDD_ROTATEOBJECT        112
#define IDD_ROTATEENTRY         113
#define IDD_ROTATECONTROL       114

#define IDD_SCALEDLG            120
#define IDD_SCALEXENTRY         121
#define IDD_SCALEXUP            122
#define IDD_SCALEXDOWN          123
#define IDD_SCALEXSLIDER        124
#define IDD_SCALEYENTRY         125
#define IDD_SCALEYUP            126
#define IDD_SCALEYDOWN          127
#define IDD_SCALEYSLIDER        128
#define IDD_SCALESAMPLE         129
#define IDD_SCALELOCK           130
#define IDD_SCALEBIGX           131
#define IDD_SCALEBIGY           132

#define IDD_STYLE_DLG			160
#define IDD_STYLE_ENTRY			161
#define IDD_STYLE_DELETE		162
#define IDD_STYLE_GROUPBOX		163

#endif
